Package org.eclipse.cdt.utils.elf

## Class Elf.ELFhdr

- java.lang.Object
- - org.eclipse.cdt.utils.elf.Elf.ELFhdr

Enclosing class:
  Elf

    public class Elf.ELFhdr
    extends Object

### Field Summary

Fields
`short` `e_ehsize`
`IAddress` `e_entry`
`long` `e_flags`
`byte[]` `e_ident`
`int` `e_machine`
`short` `e_phentsize`
`short` `e_phnum`
`long` `e_phoff`
`short` `e_shentsize`
`short` `e_shnum`
`long` `e_shoff`
`short` `e_shstrndx`
`int` `e_type`
`long` `e_version`
`static int` `EI_CLASS`
`static int` `EI_DATA`
`static int` `EI_MAG0`
`static int` `EI_MAG1`
`static int` `EI_MAG2`
`static int` `EI_MAG3`
`static int` `EI_NDENT`
`static int` `EI_PAD`
`static int` `EI_VERSION`
`static int` `ELFCLASS32`
`static int` `ELFCLASS64`
`static int` `ELFCLASSNONE`
`static int` `ELFDATA2LSB`
`static int` `ELFDATA2MSB`
`static int` `ELFDATANONE`
`static int` `EM_386`
`static int` `EM_486`
`static int` `EM_68HC08`
`static int` `EM_68K`
`static int` `EM_860`
`static int` `EM_88K`
`static int` `EM_AARCH64`
`static int` `EM_ARM`
`static int` `EM_AVR`
`static int` `EM_BLACKFIN`
`static int` `EM_C166`
`static int` `EM_COLDFIRE`
`static int` `EM_CRADLE`
`static int` `EM_CYGNUS_FR30`
`static int` `EM_CYGNUS_FRV`
`static int` `EM_CYGNUS_M32R`
`static int` `EM_CYGNUS_MN10200`
`static int` `EM_CYGNUS_MN10300`
`static int` `EM_CYGNUS_POWERPC`
`static int` `EM_CYGNUS_V850`
`static int` `EM_ESIRISC`
`static int` `EM_EXCESS`
`static int` `EM_FR30`
`static int` `EM_H8_300`
`static int` `EM_H8_300H`
`static int` `EM_IA_64`
`static int` `EM_IQ2000`
`static int` `EM_M16C`
`static int` `EM_M32`
`static int` `EM_M32R`
`static int` `EM_MIPS`
`static int` `EM_MIPS_RS3_LE`
`static int` `EM_MMDSP`
`static int` `EM_MN10200`
`static int` `EM_MN10300`
`static int` `EM_MSP430`
`static int` `EM_nCUBE`
`static int` `EM_NIOS`
`static int` `EM_NIOSII`
`static int` `EM_NONE`
`static int` `EM_PARISC`
`static int` `EM_PPC`
`static int` `EM_PPC64`
`static int` `EM_RISCV`
`static int` `EM_RL78`
`static int` `EM_RS08`
`static int` `EM_RS6000`
`static int` `EM_RX`
`static int` `EM_SDMA`
`static int` `EM_SH`
`static int` `EM_SPARC`
`static int` `EM_SPARC32PLUS`
`static int` `EM_SPARCV9`
`static int` `EM_ST100`
`static int` `EM_STARCORE`
`static int` `EM_TRICORE`
`static int` `EM_V850`
`static int` `EM_VPP550`
`static int` `EM_X86_64`
`static int` `EM_XILINX_MICROBLAZE`
`static int` `EM_XSTORMY16`
`static int` `EM_XTENSA`
`static int` `ET_CORE`
`static int` `ET_DYN`
`static int` `ET_EXEC`
`static int` `ET_HIPROC`
`static int` `ET_LOPROC`
`static int` `ET_NONE`
`static int` `ET_REL`

### Constructor Summary

Constructors
`protected` `ELFhdr()`
`protected` `ELFhdr​(byte[] bytes)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EI_MAG0

    public static final int EI_MAG0

See Also:
  Constant Field Values

#### EI_MAG1

    public static final int EI_MAG1

See Also:
  Constant Field Values

#### EI_MAG2

    public static final int EI_MAG2

See Also:
  Constant Field Values

#### EI_MAG3

    public static final int EI_MAG3

See Also:
  Constant Field Values

#### EI_CLASS

    public static final int EI_CLASS

See Also:
  Constant Field Values

#### EI_DATA

    public static final int EI_DATA

See Also:
  Constant Field Values

#### EI_VERSION

    public static final int EI_VERSION

See Also:
  Constant Field Values

#### EI_PAD

    public static final int EI_PAD

See Also:
  Constant Field Values

#### EI_NDENT

    public static final int EI_NDENT

See Also:
  Constant Field Values

#### ELFCLASSNONE

    public static final int ELFCLASSNONE

See Also:
  Constant Field Values

#### ELFCLASS32

    public static final int ELFCLASS32

See Also:
  Constant Field Values

#### ELFCLASS64

    public static final int ELFCLASS64

See Also:
  Constant Field Values

#### ELFDATANONE

    public static final int ELFDATANONE

See Also:
  Constant Field Values

#### ELFDATA2LSB

    public static final int ELFDATA2LSB

See Also:
  Constant Field Values

#### ELFDATA2MSB

    public static final int ELFDATA2MSB

See Also:
  Constant Field Values

#### ET_NONE

    public static final int ET_NONE

See Also:
  Constant Field Values

#### ET_REL

    public static final int ET_REL

See Also:
  Constant Field Values

#### ET_EXEC

    public static final int ET_EXEC

See Also:
  Constant Field Values

#### ET_DYN

    public static final int ET_DYN

See Also:
  Constant Field Values

#### ET_CORE

    public static final int ET_CORE

See Also:
  Constant Field Values

#### ET_LOPROC

    public static final int ET_LOPROC

See Also:
  Constant Field Values

#### ET_HIPROC

    public static final int ET_HIPROC

See Also:
  Constant Field Values

#### EM_NONE

    public static final int EM_NONE

See Also:
  Constant Field Values

#### EM_M32

    public static final int EM_M32

See Also:
  Constant Field Values

#### EM_SPARC

    public static final int EM_SPARC

See Also:
  Constant Field Values

#### EM_386

    public static final int EM_386

See Also:
  Constant Field Values

#### EM_68K

    public static final int EM_68K

See Also:
  Constant Field Values

#### EM_88K

    public static final int EM_88K

See Also:
  Constant Field Values

#### EM_486

    public static final int EM_486

See Also:
  Constant Field Values

#### EM_860

    public static final int EM_860

See Also:
  Constant Field Values

#### EM_MIPS

    public static final int EM_MIPS

See Also:
  Constant Field Values

#### EM_MIPS_RS3_LE

    public static final int EM_MIPS_RS3_LE

See Also:
  Constant Field Values

#### EM_RS6000

    public static final int EM_RS6000

See Also:
  Constant Field Values

#### EM_PARISC

    public static final int EM_PARISC

See Also:
  Constant Field Values

#### EM_nCUBE

    public static final int EM_nCUBE

See Also:
  Constant Field Values

#### EM_VPP550

    public static final int EM_VPP550

See Also:
  Constant Field Values

#### EM_SPARC32PLUS

    public static final int EM_SPARC32PLUS

See Also:
  Constant Field Values

#### EM_PPC

    public static final int EM_PPC

See Also:
  Constant Field Values

#### EM_PPC64

    public static final int EM_PPC64

See Also:
  Constant Field Values

#### EM_ARM

    public static final int EM_ARM

See Also:
  Constant Field Values

#### EM_SH

    public static final int EM_SH

See Also:
  Constant Field Values

#### EM_SPARCV9

    public static final int EM_SPARCV9

See Also:
  Constant Field Values

#### EM_TRICORE

    public static final int EM_TRICORE

See Also:
  Constant Field Values

#### EM_H8_300

    public static final int EM_H8_300

See Also:
  Constant Field Values

#### EM_H8_300H

    public static final int EM_H8_300H

See Also:
  Constant Field Values

#### EM_IA_64

    public static final int EM_IA_64

See Also:
  Constant Field Values

#### EM_COLDFIRE

    public static final int EM_COLDFIRE

See Also:
  Constant Field Values

#### EM_STARCORE

    public static final int EM_STARCORE

See Also:
  Constant Field Values

#### EM_X86_64

    public static final int EM_X86_64

See Also:
  Constant Field Values

#### EM_ST100

    public static final int EM_ST100

See Also:
  Constant Field Values

#### EM_68HC08

    public static final int EM_68HC08

Since:
  5.2
See Also:
  Constant Field Values

#### EM_AVR

    public static final int EM_AVR

See Also:
  Constant Field Values

#### EM_FR30

    public static final int EM_FR30

See Also:
  Constant Field Values

#### EM_V850

    public static final int EM_V850

See Also:
  Constant Field Values

#### EM_M32R

    public static final int EM_M32R

See Also:
  Constant Field Values

#### EM_MN10300

    public static final int EM_MN10300

See Also:
  Constant Field Values

#### EM_MN10200

    public static final int EM_MN10200

See Also:
  Constant Field Values

#### EM_XTENSA

    public static final int EM_XTENSA

See Also:
  Constant Field Values

#### EM_MSP430

    public static final int EM_MSP430

See Also:
  Constant Field Values

#### EM_BLACKFIN

    public static final int EM_BLACKFIN

See Also:
  Constant Field Values

#### EM_EXCESS

    public static final int EM_EXCESS

See Also:
  Constant Field Values

#### EM_ESIRISC

    public static final int EM_ESIRISC

Since:
  5.5
See Also:
  Constant Field Values

#### EM_NIOSII

    public static final int EM_NIOSII

See Also:
  Constant Field Values

#### EM_C166

    public static final int EM_C166

See Also:
  Constant Field Values

#### EM_M16C

    public static final int EM_M16C

See Also:
  Constant Field Values

#### EM_RS08

    public static final int EM_RS08

Since:
  5.2
See Also:
  Constant Field Values

#### EM_MMDSP

    public static final int EM_MMDSP

See Also:
  Constant Field Values

#### EM_RX

    public static final int EM_RX

Since:
  5.4
See Also:
  Constant Field Values

#### EM_RL78

    public static final int EM_RL78

Since:
  5.4
See Also:
  Constant Field Values

#### EM_AARCH64

    public static final int EM_AARCH64

Since:
  6.0
See Also:
  Constant Field Values

#### EM_RISCV

    public static final int EM_RISCV

Since:
  7.0
See Also:
  Constant Field Values

#### EM_NIOS

    public static final int EM_NIOS

See Also:
  Constant Field Values

#### EM_CYGNUS_POWERPC

    public static final int EM_CYGNUS_POWERPC

See Also:
  Constant Field Values

#### EM_CYGNUS_M32R

    public static final int EM_CYGNUS_M32R

See Also:
  Constant Field Values

#### EM_CYGNUS_V850

    public static final int EM_CYGNUS_V850

See Also:
  Constant Field Values

#### EM_CYGNUS_MN10200

    public static final int EM_CYGNUS_MN10200

See Also:
  Constant Field Values

#### EM_CYGNUS_MN10300

    public static final int EM_CYGNUS_MN10300

See Also:
  Constant Field Values

#### EM_CYGNUS_FR30

    public static final int EM_CYGNUS_FR30

See Also:
  Constant Field Values

#### EM_XSTORMY16

    public static final int EM_XSTORMY16

See Also:
  Constant Field Values

#### EM_CYGNUS_FRV

    public static final int EM_CYGNUS_FRV

See Also:
  Constant Field Values

#### EM_IQ2000

    public static final int EM_IQ2000

See Also:
  Constant Field Values

#### EM_XILINX_MICROBLAZE

    public static final int EM_XILINX_MICROBLAZE

See Also:
  Constant Field Values

#### EM_SDMA

    public static final int EM_SDMA

See Also:
  Constant Field Values

#### EM_CRADLE

    public static final int EM_CRADLE

See Also:
  Constant Field Values

#### e_ident

    public byte[] e_ident

#### e_type

    public int e_type

#### e_machine

    public int e_machine

#### e_version

    public long e_version

#### e_entry

    public IAddress e_entry

#### e_phoff

    public long e_phoff

#### e_shoff

    public long e_shoff

#### e_flags

    public long e_flags

#### e_ehsize

    public short e_ehsize

#### e_phentsize

    public short e_phentsize

#### e_phnum

    public short e_phnum

#### e_shentsize

    public short e_shentsize

#### e_shnum

    public short e_shnum

#### e_shstrndx

    public short e_shstrndx

### Constructor Detail

#### ELFhdr

    protected ELFhdr()
              throws IOException

Throws:
  `IOException`

#### ELFhdr

    protected ELFhdr​(byte[] bytes)
              throws IOException

Throws:
  `IOException`